"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDeliCheckpointManagerFromCollection = exports.DeliCheckpointReason = void 0;
var DeliCheckpointReason;
(function (DeliCheckpointReason) {
    DeliCheckpointReason[DeliCheckpointReason["EveryMessage"] = 0] = "EveryMessage";
    DeliCheckpointReason[DeliCheckpointReason["IdleTime"] = 1] = "IdleTime";
    DeliCheckpointReason[DeliCheckpointReason["MaxTime"] = 2] = "MaxTime";
    DeliCheckpointReason[DeliCheckpointReason["MaxMessages"] = 3] = "MaxMessages";
    DeliCheckpointReason[DeliCheckpointReason["ClearCache"] = 4] = "ClearCache";
})(DeliCheckpointReason = exports.DeliCheckpointReason || (exports.DeliCheckpointReason = {}));
function createDeliCheckpointManagerFromCollection(tenantId, documentId, collection) {
    const checkpointManager = {
        writeCheckpoint: async (checkpoint) => {
            return collection.update({
                documentId,
                tenantId,
            }, {
                deli: JSON.stringify(checkpoint),
            }, null);
        },
        deleteCheckpoint: async () => {
            return collection.update({
                documentId,
                tenantId,
            }, {
                deli: "",
            }, null);
        },
    };
    return checkpointManager;
}
exports.createDeliCheckpointManagerFromCollection = createDeliCheckpointManagerFromCollection;
//# sourceMappingURL=checkpointManager.js.map