/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import * as core from "@fluidframework/server-services-core";
export declare class ForemanLambda implements core.IPartitionLambda {
    private readonly messageSender;
    private readonly tenantManager;
    private readonly tokenGenerator;
    private readonly permissions;
    protected context: core.IContext;
    protected tenantId: string;
    protected documentId: string;
    private readonly taskQueueMap;
    private readonly rateLimiter;
    constructor(messageSender: core.ITaskMessageSender, tenantManager: core.ITenantManager, tokenGenerator: core.TokenGenerator, permissions: any, context: core.IContext, tenantId: string, documentId: string);
    close(): void;
    handler(message: core.IQueuedMessage): Promise<void>;
    private trackDocument;
    private generateQueueTasks;
}
//# sourceMappingURL=lambda.d.ts.map